明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 1299|回复: 5

[提问] 如何取消C:定义的命令

[复制链接]
发表于 2017-12-19 21:43 | 显示全部楼层 |阅读模式
(defun c:Fun ( / )
  ...)
(setq c:Fun nil)这样不行
(vlax-remove-cmd "Fun")也不行
发表于 2017-12-20 07:48 来自手机 | 显示全部楼层
似乎看得我直冒汗。。
 楼主| 发表于 2017-12-20 09:09 | 显示全部楼层
比如acad.pgp中定义了 fun,*move ,而lisp中定义了(defun c:Fun ( / ) (princ "\nFun"))
怎样才能取消fun的C:定义,使输入fun的效果为move。
这里有个前提假设是:你不知道acad.pgp的内容,所以你不能简单地(defun c:Fun( / ) (command "move"))
发表于 2017-12-20 09:14 | 显示全部楼层
本帖最后由 vectra 于 2017-12-20 09:24 编辑


(vl-acad-undefun  'c:Fun) 肯定可以移除自定义的c:xx命令

你的问题是如何移除PGP中定义的命令?
 楼主| 发表于 2017-12-20 12:56 来自手机 | 显示全部楼层
谢谢,就是这个函数
发表于 2017-12-20 13:16 | 显示全部楼层
Undefine
这个函数很久很久以前就存在了。
似乎所谓CAD病毒,就用了大量的Undefine,让你觉的崩溃。
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2020 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2021-1-26 20:34 , Processed in 0.120445 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表